Class | Amalgalite::Boolean
In: | lib/amalgalite/boolean.rb lib/amalgalite/boolean.rb
Parent: | Object

Do type conversion on values that could be boolen values into real ‘true’ or ‘false‘

This is pulled from the possible boolean values from PostgreSQL

### Methods

false_values false_values to_bool to_bool true_values true_values

### Public Class methods

false_values()

list of downcased strings are potential false values

false_values()

list of downcased strings are potential false values

to_bool( val )

Convert `val` to a string and attempt to convert it to `true` or `false`

to_bool( val )

Convert `val` to a string and attempt to convert it to `true` or `false`

true_values()

list of downcased strings are potential true values

true_values()

list of downcased strings are potential true values

[Validate]